// Маркерная аннотация для указания, что прилепляемая частица
// является настройкой приложения.
//
// Может быть использована над параметром конструктора/метода завязи желудя, полем класса
// или методом установки значения.
//
// Параметры:
//   Значение - Строка - Ключ настройки. См. библиотеку [configor](https://github.com/oscript-library/configor)
//                       для полного описания синтаксиса.
//                       Если не заполнено, используется имя параметра конструктора/поля класса
//                       или часть имени метода для установки значения.
//   ЗначениеПоУмолчанию - Произвольный - Значение, которое принимает деталька, если не задано из-вне. 
//
// Пример:
//
//  1.
//  &Деталька
//  Перем ПутьКФайлу;
//
//  2.
//  &Деталька(Значение = "Настройки.ПутьКФайлу", ЗначениеПоУмолчанию = "./file.txt")
//  Перем ПутьКФайлу;
//
//  3.
//  &Желудь
//  Процедура ПриСозданииОбъекта(&Деталька ПутьКФайлу)
//
//  4.
//  &Деталька
//  Процедура УстановитьПутьКФайлу(Значение) Экспорт
//
//  5.
//  &Завязь
//  Функция МойЖелудь(&Деталька ПутьКФайлу) Экспорт
//
&Аннотация("Деталька")
Процедура ПриСозданииОбъекта(Значение = "", ЗначениеПоУмолчанию = Неопределено)

КонецПроцедуры
