// Специальный тип желудя для выполнения дополнительных действий в момент помещения класса в контекст Поделки.
//
// Может использоваться для добавления динамической загрузки новых классов в систему типов OneScript или
// дополнительных импортов библиотек через директиву `#Использовать`.
//
// Каждая `&Заготовка` дополнительно имеет `&Прозвище("Заготовка")` и &Спецификация("Инициализация").
//
// Желудь, помеченный аннотацией `&Заготовка`, должен реализовать следующий интерфейс:
// * `Процедура ПриИнициализацииПоделки(Поделка) Экспорт`
//
// Размещается над конструктором класса.
//
// Параметры:
//   Значение - Строка - Имя желудя, под которым заготовка добавляется в контекст Поделки.
//
// Пример:
// &Заготовка
// Процедура ПриСозданииОбъекта()
// КонецПроцедуры
//
&Аннотация("Заготовка")
&Прозвище("Заготовка")
&Спецификация("Инициализация")
Процедура ПриСозданииОбъекта(Значение = "")

КонецПроцедуры
