Перем _ЗапускатьВФоне;
Перем _ОжидатьЗавершения;

// Флаг необходимости запуска рогатки в фоновом задании.
//
//  Возвращаемое значение:
//   Булево
//
Функция ЗапускатьВФоне() Экспорт
	Возврат _ЗапускатьВФоне;
КонецФункции

// Флаг необходимости ожидания завершения рогатки при ее запуске в фоновом задании.
//
//  Возвращаемое значение:
//   Булево
//
Функция ОжидатьЗавершения() Экспорт
	Возврат _ОжидатьЗавершения;
КонецФункции

// Специальный тип желудя, автоматически выполняемый при запуске приложения (`Поделка.ЗапуститьПриложение()`).
//
// Желудь, помеченный аннотацией `&Рогатка`, должен реализовать следующий интерфейс:
// * `Процедура ПриЗапускеПриложения() Экспорт`
//
// Каждая `&Рогатка` дополнительно имеет `&Прозвище("Рогатка")`.
//
// `&Рогатка` сама по себе тоже является желудем, то есть может запрашивать прилепление частиц,
// является объектом для обработки `&Напильник`ом, может иметь `&Спецификация` и так далее.
//
// Размещается над конструктором класса.
//
// Параметры:
//   Значение - Строка - Имя желудя, под которым рогатка добавляется в контекст Поделки.
//   ЗапускатьВФоне - Булево - Если Истина, то рогатка будет запущена в фоновом задании.
//                             Если Ложь, то рогатка будет запущена в текущем потоке.
//   ОжидатьЗавершения - Булево - Если Истина и `ЗапускатьВФоне` = Истина,
//                                то после запуска рогатки будет ожидаться её завершение.
// Пример:
// Процедура ПриЗапускеПриложения() Экспорт
// .   Сообщить("Привет из рогатки!");
// КонецПроцедуры
// .
// &Рогатка
// Процедура ПриСозданииОбъекта()
// КонецПроцедуры
//
&Аннотация("Рогатка")
&Прозвище("Рогатка")
Процедура ПриСозданииОбъекта(Значение = "", ЗапускатьВФоне = Истина, ОжидатьЗавершения = Истина)
	_ЗапускатьВФоне = ЗапускатьВФоне;
	_ОжидатьЗавершения = ОжидатьЗавершения;
КонецПроцедуры
