Перем _Значение;

// Сохраненное значение спецификации.
//
//  Возвращаемое значение:
//   Строка
//
Функция Значение() Экспорт
	Возврат _Значение;
КонецФункции

// Аннотация для указания жизненного цикла приложения, начиная с которого разрешено создавать желудь.
//
// По умолчанию все желуди имеют спецификацию "Выполнение", означающую, что желудь может быть создан только после вызова
// `Поделка.ЗапуститьПриложение()`.
//
// К желудям со спецификацией "Инициализация" не применяются напильники.
//
// Размещается над конструктором класса или над методом `&Завязи`.
//
// Параметры:
//   Значение - Строка - Состояние приложения, на котором разрешено создавать желудь. См. СостоянияПриложения.
//
// Пример:
// &Спецификация("Инициализация")
// &Желудь
// Процедура ПриСозданииОбъекта()
// КонецПроцедуры
//
&Аннотация("Спецификация")
Процедура ПриСозданииОбъекта(Значение = "Выполнение")

	_Значение = Значение;

	Если СостоянияПриложения.Значения().Найти(_Значение) = Неопределено Тогда
		ТекстСообщения = СтрШаблон(
			"Неверное значение спецификации %1",
			_Значение
		);

		ВызватьИсключение ТекстСообщения;
	КонецЕсли;

КонецПроцедуры
