// Пометка, что прилепляемая частица прилепляется не непосредственно, а через специальный объект
// типа `Табакерка`, который позволяет получить частицу программно и отложенно.
//
// Может использоваться для внедрения компанейских желудей, внедрения желудя самого в себя, 
// для разрыва циклических зависимостей, для передачи дополнительных параметров прилепляемого желудя и т.п.
//
// Используется совместно с аннотациями `&Пластилин` и `&Деталька`.
//
// Пример:
//
// 1.
// &Табакерка
// &Пластилин("ДругойЖелудь")
// Перем ТабакеркаСДругимЖелудем;
// .
// ДругойЖелудь = ТабакеркаСДругимЖелудем.Достать();
// ДругойЖелудь.КакойТоМетод();
// ...
// 2.
// &Табакерка
// &Пластилин("ДругойЖелудь")
// Перем ТабакеркаСДругимЖелудем;
// .
// МассивБлестяшек = Новый Массив;
// МассивБлестяшек.Добавить("Парам1");
// .
// ДругойЖелудь = ТабакеркаСДругимЖелудем.Достать(МассивБлестяшек);
// ДругойЖелудь.КакойТоМетод();
//
&Аннотация("Табакерка")
Процедура ПриСозданииОбъекта()

КонецПроцедуры
